# oneM2M MAS WG HAIM Schemas

This repository contains the schemas for oneM2M's MAS *Home Domain Abstract Information Model*.

## Latest Version

The latest schema version is [3.7.0](3.7.0).

## Directory Structure

The schema directories contain the following objects:

- **xsd/** : This sub-directory contains the XSD files for Devices, Sub-Devices, ModuleClasss, and Actions as well as necessary include files for common types and enumeration types for the home domain.
- **SDT-TS0023-Devices.xml** : The Devices and Sub-devices of TS-0023 in SDT XML format.
- **SDT-TS0023-ModuleClasses.xml** : The ModuleClasses of TS-0023 in SDT XML format.
- **shortnames.csv** : The list of identifiers used in the XSD and their short name equivalents.

